/*
 * Created by victoria on 2021-05-12.
 */

#pragma once

#include "qomemo.h"
#include "user_device_list.h"

#include <QXmppClient.h>

namespace QXmpp::Omemo {

class DeviceService : public QObject {
  Q_OBJECT

public:
  explicit DeviceService(QObject *parent);

public slots:
  void onDeviceListReceived(const QString& jid, const DeviceList& list);

private:
  QMap<QString, UserDeviceList> device_lists{};
};

} // namespace QXmpp::Omemo
