/*
 * Created by victoria on 2021-05-12.
 */

#pragma once

#include <QXmppElement.h>

namespace QXmpp::Factories {

bool elementMatches(const QXmppElement &element, const QString &tagName,
                    const QString &xmlns = QStringLiteral(""));

QXmppElement createElement(const QString &tagName,
                           const QString &xmlns = QStringLiteral(""));

QXmppElement createValue(const QString &value);

QXmppElement createField(const QString &key, const QString &value,
                         bool hidden = false);

QXmppElement
createOpenPublishOptions(const QString &maxItems = QStringLiteral(""));

} // namespace QXmpp::Factories
